### Method

# GLib Source remove_unix_fd

since: 2.36

#### Declaration [src]

    void
    g_source_remove_unix_fd (
      GSource* source,
      gpointer tag
    )

#### Description [src]

Reverses the effect of a previous call to `g_source_add_unix_fd()`.

You only need to call this if you want to remove a file descriptor from being watched while keeping the same source around. In the normal case you will just want to destroy the source.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

As the name suggests, this function is not available on Windows.

Available since: 2.36

#### Parameters

`tag`

  Type: `gpointer`

  The tag from `g_source_add_unix_fd()`.

  The data is owned by the caller of the method.